ScheduleOnce v1 API (Deprecated)
ScheduleOnce API v1 (Deprecated)
- OpenAPI Version:
3.2.0 - API Version:
1.0.0
DEPRECATION NOTICE This API version (v1) is deprecated and will be removed in the future. Please migrate to our current API:
New integrations should not use this API version.
Contents
Operations
- GET /test
- POST /webhooks
- GET /webhooks
- GET /webhooks/{id}
- DELETE /webhooks/{id}
- GET /bookings
- GET /bookings/{id}
- GET /booking-pages
- GET /booking-pages/{id}
Servers
- URL:
https://api.oncehub.com/v1
Authentication
- sec0: API key in header
API-Key
Operations
Validate API key
- Method:
GET - Path:
/test - Operation ID:
validate-api-key
Servers: Inherited servers
Authentication
No authentication required.
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
message:string
Example: Result
"{\n \"message\": \"The API key is valid for account: admin@example.com\"\n}"
401 401
Content type: application/json
One of:
objectmessage:stringtype:string
objectmessage:stringtype:string
Example: Result
"{\n \"type\": \"authentication_error\",\n \"message\": \"Expired API key. The key has been revoked by the account owner.\"\n}"
403 403
Content type: application/json
message:stringtype:string
Example: Result
"{\n \"type\": \"authentication_error\",\n \"message\": \"Your account plan does not support API access. To use the ScheduleOnce API, you must upgrade to the Enterprise plan.\"\n}"
Create Webhook
- Method:
POST - Path:
/webhooks - Operation ID:
create-webhook
Creates a Webhook subscription.
Servers: Inherited servers
Authentication: Global authentication
Header parameters
API-Key:stringAn api key from your OnceHub account
Request body
Content type: application/json
events:array of stringAn array of Booking lifecycle events that will trigger the Webhook.
name:stringUnique name for your Webhook subscription. This name is only used by you for reference.
url:stringURL for receiving POST messages from OnceHub
Generated example:
{
"url": "",
"name": "",
"events": [
""
]
}
Responses
200 200
Content type: application/json
creation_time:stringevents:array of stringid:stringname:stringobject:stringurl:string
Example: Example response
"{\n \"object\": \"webhook\",\n \"id\": \"whk_164xRv2eZvKYlo2CZxJZWm1E\",\n \"name\": \"New booking webhook\",\n \"url\": \"https://mywebsite.com/webhooks/booking\",\n \"events\": [\"booking.completed\", \"booking.rescheduled\"],\n \"creation_time\": \"2017-09-06T20:57:17.467Z\"\n}"
List all Webhooks
- Method:
GET - Path:
/webhooks - Operation ID:
list-webhooks
Returns a list of your Webhook subscriptions, sorted by creation date.
Servers: Inherited servers
Authentication: Global authentication
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
Example: Example response
"{\n \"object\": \"list\",\n \"data\": [\n {\n \"object\": \"webhook\",\n \"id\": \"whk_164xRv2eZvKYlo2CZxJZWm1E\",\n \"name\": \"New booking webhook\",\n \"url\": \"https://mywebsite.com/webhooks/booking\",\n \"events\": [\"booking.completed\", \"booking.rescheduled\"],\n \"creation_time\": \"2017-09-06T20:57:17.467Z\"\n },\n {...},\n {...}\n ]\n}\n"
Get a single Webhook
- Method:
GET - Path:
/webhooks/{id} - Operation ID:
get-webhook
Returns a single Webhook subscription by ID.
Servers: Inherited servers
Authentication: Global authentication
Path parameters
id(required):stringID of the Webhook
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
creation_time:stringevents:array of stringid:stringname:stringobject:stringurl:string
Example: Example response
"{\n \"object\": \"webhook\",\n \"id\": \"whk_164xRv2eZvKYlo2CZxJZWm1E\",\n \"name\": \"New booking webhook\",\n \"url\": \"https://mywebsite.com/webhooks/booking\",\n \"events\": [\"booking.completed\", \"booking.rescheduled\"],\n \"creation_time\": \"2017-09-06T20:57:17.467Z\"\n}"
Delete Webhook
- Method:
DELETE - Path:
/webhooks/{id} - Operation ID:
delete-webhook
Servers: Inherited servers
Authentication: Global authentication
Path parameters
id(required):stringID of the Webhook to delete
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
deleted:boolean, default:trueid:string
Example: Example response
"{\n \"deleted\": true,\n \"id\": \"whk_164xRv2eZvKYlo2CZxJZWm1E\"\n}"
List all bookings
- Method:
GET - Path:
/bookings - Operation ID:
list-all-bookings-draft
List all the bookings in the account
Servers: Inherited servers
Authentication: Global authentication
Query parameters
booking_page:stringOnly return bookings from the given booking page.
status:stringOnly return orders that have the given status.
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
Example: Result
"{\n \"object\": \"list\",\n \"data\": [\n {\n \"object\": \"booking\",\n \"tracking_id\": \"D36E0002\",\n \"subject\": \"Budget management\",\n \"status\": \"Scheduled\",\n \"creation_time\": \"2018-03-22T09:48:48Z\",\n \"starting_time\": \"2018-03-22T04:30:00Z\",\n \"owner\": \"Andrea Hartie\",\n \"package_id\": null,\n \"duration_minutes\": 60,\n \"virtual_or_physical_location\": \"1600 Pennsylvania Avenue\",\n \"customer_time_zone_description\": \"(GMT-5) United States; Eastern time\",\n \"cancel_reschedule_link\": \"https://go.oncehub.com/financefirm?Params=IPLa6BkbZ-QjWTEeZH3cb7afCgcinMNuLvaH-7mTZO4\",\n \"canceled_booking_tracking_id\": null,\n \"cancel_reschedule_reason\": null,\n \"name_of_user_who_canceled_rescheduled\": null,\n \"name_of_customer_who_canceled_rescheduled\": null,\n \"form_submission\": {\n \"name\": \"Carrie Customer\",\n \"email\": \"so.carrie.customer@gmail.com\",\n \"phone\": \"\",\n \"mobile_phone\": \"1-2025550195\",\n \"note\": \"I want to discuss how to save more money each month.\",\n \"company\": null,\n \"guests\": [\"\"],\n \"custom_fields\": [\n { \"name\": \"Profession\", \"value\": \"Executive assistant\" },\n { \"name\": \"Earned income\", \"value\": \"35,000 USD\" },\n { \"name\": \"Passive income\", \"value\": \"None\" }\n ]\n },\n \"booking_page\": {\n \"public_name\": \"Andrea Hartie\",\n \"internal_label\": \"AndreaHartie\",\n \"link\": \"https://go.oncehub.com/andreahartie\",\n \"category\": \"Financial planning firm\",\n \"time_zone_description\": \"(GMT-5) United States; Eastern time\"\n },\n \"master_page\": {\n \"name\": \"Financial Services Inc.\",\n \"label\": \"financefirm\",\n \"link\": \"https://go.oncehub.com/financefirm\"\n },\n \"event_type\": {\n \"name\": \"Budget management\",\n \"description\": \"We analyze your current income, expenses and debt. From this we work with you to create a sound financial plan that will allow you to enjoy life and meet your financial obligations simultaneously.\",\n \"category\": \"Budgeting & Saving\"\n },\n \"external_calendar\": {\n \"type\": \"Google\",\n \"name\": \"andrea.hartie@example.com\",\n \"id\": \"andrea.hartie@example.com\",\n \"event_id\": \"8kvu74dda8kcv0gmmlm3folrhc\"\n }\n },\n {...},\n {...}\n ]\n}\n"
404 404
Content type: application/json
message:stringtype:string
Example: Result
"{\n \"type\": \"invalid_request_error\",\n \"message\": \"No existing booking with this ID can be found.\"\n}"
Get a single booking
- Method:
GET - Path:
/bookings/{id} - Operation ID:
get-a-single-booking-draft
Returns a single booking by ID
Servers: Inherited servers
Authentication: Global authentication
Path parameters
id(required):stringID of the booking
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
booking_page:objectcategory:stringinternal_label:stringlink:stringpublic_name:stringtime_zone_description:string
cancel_reschedule_link:stringcancel_reschedule_reason:anycanceled_booking_tracking_id:anycreation_time:stringcustomer_time_zone_description:stringduration_minutes:integer, default:0event_type:objectcategory:stringdescription:stringname:string
external_calendar:objectevent_id:stringid:stringname:stringtype:string
form_submission:objectcompany:anycustom_fields:arrayItems:
name:stringvalue:string
email:stringguests:array of stringmobile_phone:stringname:stringnote:stringphone:string
master_page:objectlabel:stringlink:stringname:string
name_of_customer_who_canceled_rescheduled:anyname_of_user_who_canceled_rescheduled:anyobject:stringowner:stringpackage_id:anystarting_time:stringstatus:stringsubject:stringtracking_id:stringvirtual_or_physical_location:string
Example: Result
"{\n \"object\": \"booking\",\n \"tracking_id\": \"D36E0002\",\n \"subject\": \"Budget management\",\n \"status\": \"Scheduled\",\n \"creation_time\": \"2018-03-22T09:48:48Z\",\n \"starting_time\": \"2018-03-22T04:30:00Z\",\n \"owner\": \"Andrea Hartie\",\n \"package_id\": null,\n \"duration_minutes\": 60,\n \"virtual_or_physical_location\": \"1600 Pennsylvania Avenue\",\n \"customer_time_zone_description\": \"(GMT-5) United States; Eastern time\",\n \"cancel_reschedule_link\": \"https://go.oncehub.com/financefirm?Params=IPLa6BkbZ-QjWTEeZH3cb7afCgcinMNuLvaH-7mTZO4\",\n \"canceled_booking_tracking_id\": null,\n \"cancel_reschedule_reason\": null,\n \"name_of_user_who_canceled_rescheduled\": null,\n \"name_of_customer_who_canceled_rescheduled\": null,\n \"form_submission\": {\n \"name\": \"Carrie Customer\",\n \"email\": \"so.carrie.customer@gmail.com\",\n \"phone\": \"\",\n \"mobile_phone\": \"1-2025550195\",\n \"note\": \"I want to discuss how to save more money each month.\",\n \"company\": null,\n \"guests\": [\"\"],\n \"custom_fields\": [\n { \"name\": \"Profession\", \"value\": \"Executive assistant\" },\n { \"name\": \"Earned income\", \"value\": \"35,000 USD\" },\n { \"name\": \"Passive income\", \"value\": \"None\" }\n ]\n },\n \"booking_page\": {\n \"public_name\": \"Andrea Hartie\",\n \"internal_label\": \"AndreaHartie\",\n \"link\": \"https://go.oncehub.com/andreahartie\",\n \"category\": \"Financial planning firm\",\n \"time_zone_description\": \"(GMT-5) United States; Eastern time\"\n },\n \"master_page\": {\n \"name\": \"Financial Services Inc.\",\n \"label\": \"financefirm\",\n \"link\": \"https://go.oncehub.com/financefirm\"\n },\n \"event_type\": {\n \"name\": \"Budget management\",\n \"description\": \"We analyze your current income, expenses and debt. From this we work with you to create a sound financial plan that will allow you to enjoy life and meet your financial obligations simultaneously.\",\n \"category\": \"Budgeting & Saving\"\n },\n \"external_calendar\": {\n \"type\": \"Google\",\n \"name\": \"andrea.hartie@example.com\",\n \"id\": \"andrea.hartie@example.com\",\n \"event_id\": \"8kvu74dda8kcv0gmmlm3folrhc\"\n }\n}"
404 404
Content type: application/json
message:stringtype:string
Example: Result
"{\n \"type\": \"invalid_request_error\",\n \"message\": \"No existing booking with this ID can be found.\"\n}"
List all booking pages
- Method:
GET - Path:
/booking-pages - Operation ID:
list-all-booking-pages-draft
List all the booking pages in the account
Servers: Inherited servers
Authentication: Global authentication
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
Example: Result
"{\n \"object\": \"list\",\n \"data\": [\n {\n \"id\": \"BP-3F7JAWT4UA\",\n \"object\": \"booking_page\",\n \"public_name\": \"Andrea Hartie\",\n \"internal_label\": \"AndreaHartie\",\n \"link\": \"https://go.oncehub.com/andreahartie\",\n \"category\": \"Financial planning firm\",\n \"time_zone_description\": \"(GMT-5) United States; Eastern time\"\n },\n {...},\n {...}\n ]\n}\n"
400 400
Content type: application/json
object
Example: Result
"{}"
Get a single booking page
- Method:
GET - Path:
/booking-pages/{id} - Operation ID:
retrieve-a-booking-page-draft
Returns a single booking page by ID.
Servers: Inherited servers
Authentication: Global authentication
Path parameters
id(required):stringID of the booking page
Header parameters
API-Key:stringAn api key from your OnceHub account
Responses
200 200
Content type: application/json
category:stringid:stringinternal_label:stringlink:stringobject:stringpublic_name:stringtime_zone_description:string
Example: Result
"{\n \"id\": \"BP-3F7JAWT4UA\",\n \"object\": \"booking_page\",\n \"public_name\": \"Andrea Hartie\",\n \"internal_label\": \"AndreaHartie\",\n \"link\": \"https://go.oncehub.com/andreahartie\",\n \"category\": \"Financial planning firm\",\n \"time_zone_description\": \"(GMT-5) United States; Eastern time\"\n}"
400 400
Content type: application/json
object
Example: Result
"{}"
- How to Contact Us
- Live Chat
- Email Support
- System Status